
<!doctype html>
<html lang="en">




<head>
    <title>How to KS ESXi Recreate Virtual Machine - Attune Automation</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport"
          content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="title"
          content="How to KS ESXi Recreate Virtual Machine - Attune Automation">
    <meta name="description"
          content="">
    <meta name="robots"
          content="follow, index, max-snippet:-1, max-video-preview:-1, max-image-preview:large">

    <meta property="og:locale" content="en_AU" />
    <meta property="og:type" content="article" />
    <meta property="og:title"
          content="HowTo KS ESXi Recreate Virtual Machine - Attune Automation" />
    <meta property="og:description" content="" />
    <meta property="og:site_name" content="Attune Automation" />
    <meta property="article:section" content="IT Instruction" />

    <meta name="twitter:title"
          content="How to KS ESXi Recreate Virtual Machine - Attune Automation" />
    <meta name="twitter:description" content="" />

    <link rel="icon" href="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-32x32.png" sizes="32x32">
    <link rel="icon" href="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-192x192.png" sizes="192x192">
    <link rel="apple-touch-icon" href="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-180x180.png">
    <meta name="msapplication-TileImage" content="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-270x270.png">
    <link rel="stylesheet"
          href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
          crossorigin="anonymous">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/prism/1.29.0/themes/prism-tomorrow.min.css">
    <link rel="stylesheet" href="../styles/style.css">

</head>


<body>

<!-- Project breadcrumbs -->

<!-- Project breadcrumbs -->
<nav aria-label="breadcrumb">
    <ol class="breadcrumb m-0">
        <li class="breadcrumb-item" aria-current="page">
            <a
                href="https://www.servertribe.com/"
                target="_blank">
                ServerTribe
            </a>
        </li>
        <li class="breadcrumb-item" aria-current="page">
            <a
                href="https://github.com/attune-Automation/"
                target="_blank">
                Attune Automation Projects
            </a>
        </li>
        <li class="breadcrumb-item">
            <a href="../index.html">
            Kickstart Windows
            </a>
        </li>
        <li class="breadcrumb-item active" aria-current="page">
            <strong>KS ESXi Recreate Virtual Machine</strong>
        </li>
    </ol>
</nav>

<!-- Blueprint Header -->

<div class="container px-0">
    <!-- Blueprint name and description -->
    <div class="row pt-5">
        <div class="col px-0">
            <h1 class="text-left">
                How to KS ESXi Recreate Virtual Machine
            </h1>
        </div>
    </div>

<!-- Blueprint Description -->
    <div class="row pt-4">
        <div class="col-6 px-0">
            <h6 class="text-left">
                This documentation is generated by
                <a href="https://www.servertribe.com/"
                    class="badge badge-primary"
                    target="_blank">
                    Attune
                </a>
            </h6>
        </div>
        <div class="col-6 align-self-end text-right px-0">
            <h6 class="text-right">
                <a href="https://www.youtube.com/@servertribe"
                    class="badge badge-secondary"
                    target="_blank">
                    YouTube
                </a>
                <a href="https://github.com/Attune-Automation"
                    class="badge badge-secondary"
                    target="_blank">
                    GitHub
                </a>
                <a href="https://discord.com/invite/3YpJsagqUn"
                    class="badge badge-secondary"
                    target="_blank">
                    Discord
                </a>
                <a href="https://www.linkedin.com/company/servertribe/"
                    class="badge badge-secondary"
                    target="_blank">
                    LinkedIn
                </a>
                <a href="http://doc.servertribe.com/"
                    class="badge badge-secondary"
                    target="_blank">
                    Documentation
                </a>
            </h6>
        </div>
    </div>
    <hr>
</div>

<div class="documentation">
    <div class="container px-0">
        <div class="row">

<!-- Blueprint ToC -->


            <div class="col-lg-2 px-0 pr-5">
                <div class="container px-0 pt-3 sticky-top">
                    <h6 class="pb-2">
                        <strong>Contents</strong>
                    </h6>
                    <h6 class="text-muted">
                        <a href="#top">
                            <strong>KS ESXi Recreate Virtual Machine</strong>
                        </a>
                    </h6>


    
        

                    <h6 class="text-muted pt-2">
                        <a href="#ksesxisetoptions">
                            <strong>Step 1 -</strong> KS ESXi Set Options
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#ksesxideletevmfon">
                            <strong>Step 2 -</strong> KS ESXi Delete VM FON
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#ksesxideletevmhostname">
                            <strong>Step 3 -</strong> KS ESXi Delete VM Hostname
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#ksesxicreatevm">
                            <strong>Step 4 -</strong> KS ESXi Create VM
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#ksesxienablesas">
                            <strong>Step 5 -</strong> KS ESXi Enable SAS
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#ksesxienable3d">
                            <strong>Step 6 -</strong> KS ESXi Enable 3D
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#ksesxicopyisotoesxihost">
                            <strong>Step 7 -</strong> KS ESXi Copy ISO To ESXi Host
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#ksesxiloadisointovm">
                            <strong>Step 8 -</strong> KS ESXi Load ISO into VM
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#ksesxistartvm">
                            <strong>Step 9 -</strong> KS ESXi Start VM
                        </a>
                    </h6>


                </div>
            </div>

<!-- Blueprint Contents -->
            <div class="col-lg-8 pt-3">
                <div class="container">


        <div class="blueprint-description jumbotron">
            <h2 class="display-3 text-center">
                Automate This
            </h2>
            <p class="lead text-center">
                Use the <strong>Attune GUI</strong> for your Scripts
            </p>
            <p class="lead">
                <ol>
                    <a href="https://www.servertribe.com/download-attune-registration/"
                        target="_blank">
                        <span class="badge badge-primary">1</span>
                        Download Attune
                        <i class="fa-solid fa-download fa-beat-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://github.com/attune-Automation/"
                        target="_blank">
                        <span class="badge badge-primary">2</span>
                         Copy the Attune Project URL
                         <i class="fa-brands fa-github fa-fade"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://servertribe-attune.readthedocs.io/en/latest/howto/design_workspace/clone_project.html"
                        target="_blank">
                        <span class="badge badge-primary">3</span>
                        Clone the Project in Attune
                         <i class="fa-solid fa-book fa-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://www.youtube.com/watch?v=GCWDI29rDV0"
                        target="_blank">
                        <span class="badge badge-primary">4</span>
                        Plan your Job(s)
                        <i class="fa-brands fa-youtube fa-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://www.youtube.com/watch?v=b7DhFcURkZg"
                        target="_blank">
                        <span class="badge badge-primary">5</span>
                        Run your Job(s)
                        <i class="fa-brands fa-youtube fa-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
            </p>
            <p class="lead text-center">
                You've automated: <strong>KS ESXi Recreate Virtual Machine</strong>
            </p>
            <hr class="my-4 text-center">
            <div class="col px-0">
                <p class="text-center">
                    Get the most out of automation with our get started
                    videos, product demonstrations, and more.
                </p>
                <p class="lead text-center">
                    <a class="btn btn-primary btn-lg"
                       href="https://www.servertribe.com/learn/"
                       target="_blank"
                       role="button">
                        Learn Attune Automation
                    </a>
                </p>
            </div>
        </div>

        <div class="row">
            <p>The following steps will guide you through the manual process.</p>
        </div>

<!-- Blueprint Steps -->


        



                    <div class="row pt-5">
                        <h4 id="ksesxisetoptions">
                            <a href="#ksesxisetoptions">
                                <strong>Step 1 -</strong> KS ESXi Set Options
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxattuneuser}@{attuneosbuildserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
pwsh &lt;&lt;&#x27;EOF&#x27;
$ErrorActionPreference = &quot;Stop&quot;
Import-Module VMware.VimAutomation.Core
Set-PowerCLIConfiguration -Scope User -ParticipateInCEIP $false -Confirm:$false
Set-PowerCLIConfiguration -InvalidCertificateAction ignore -Confirm:$false

EOF
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="ksesxideletevmfon">
                            <a href="#ksesxideletevmfon">
                                <strong>Step 2 -</strong> KS ESXi Delete VM FON
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
# Delete the VM if it exists

pwsh &lt;&lt;&#x27;EOF&#x27;
$ErrorActionPreference = &quot;Stop&quot;
Import-Module VMware.VimAutomation.Core

Connect-VIServer {vmwareVcenterServer.ip} `
    -User &quot;{vmwareVcenterUser.user}&quot; `
    -Password &#x27;{vmwareVcenterUser.password}&#x27;

if ($? -eq $false) {
    Write-Host &quot;Error: Not connected.&quot;
    exit 1
}

$existing = Get-VM &quot;{targetServer.fqn}&quot;

if ( $existing.count -eq 1 ) {
    if ( $existing.PowerState -eq &quot;PoweredOn&quot; ) {
        &quot;Stopping the VM&quot;
        Stop-VM -VM $existing -Confirm:$false
    } else {
        &quot;The VM is off&quot;
    }
    
    &quot;Removing the VM&quot;
    Remove-VM -DeleteFromDisk -VM $existing -Confirm:$false
    
} else {
    &quot;The VM doesn&#x27;t exist&quot;
}

EOF
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="ksesxideletevmhostname">
                            <a href="#ksesxideletevmhostname">
                                <strong>Step 3 -</strong> KS ESXi Delete VM Hostname
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
# Delete the VM if it exists

pwsh &lt;&lt;&#x27;EOF&#x27;
$ErrorActionPreference = &quot;Stop&quot;
Import-Module VMware.VimAutomation.Core

Connect-VIServer {vmwareVcenterServer.ip} `
    -User &quot;{vmwareVcenterUser.user}&quot; `
    -Password &#x27;{vmwareVcenterUser.password}&#x27;

if ($? -eq $false) {
    Write-Host &quot;Error: Not connected.&quot;
    exit 1
}

$existing = Get-VM &quot;{targetServer.hostname}&quot;

if ( $existing.count -eq 1 ) {
    if ( $existing.PowerState -eq &quot;PoweredOn&quot; ) {
        &quot;Stopping the VM&quot;
        Stop-VM -VM $existing -Confirm:$false
    } else {
        &quot;The VM is off&quot;
    }
    
    &quot;Removing the VM&quot;
    Remove-VM -DeleteFromDisk -VM $existing -Confirm:$false
    
} else {
    &quot;The VM doesn&#x27;t exist&quot;
}

EOF
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="ksesxicreatevm">
                            <a href="#ksesxicreatevm">
                                <strong>Step 4 -</strong> KS ESXi Create VM
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
# Create the new VM

# NOTE: ALL VMs are kickstarted with a default 50g disk. More disks are added
#       once the operating system is installed, via a subsequen &quot;add disk&quot;
#       vCenter call

pwsh &lt;&lt;&#x27;EOF&#x27;
$ErrorActionPreference = &quot;Stop&quot;
Import-Module VMware.VimAutomation.Core

Connect-VIServer {vmwareVcenterServer.ip} `
    -User &quot;{vmwareVcenterUser.user}&quot; `
    -Password &#x27;{vmwareVcenterUser.password}&#x27;

if ($? -eq $false) {
    Write-Host &quot;Error: Not connected.&quot;
    exit 1
}

$memInMb = {ksVmRamSizeGb}*1024  

if ( &quot;{vmwareEsxiServer.fqn}&quot; -eq &quot;{vmwareVcenterServer.fqn}&quot; ) {
    Write-Host &quot;We&#x27;re talking to the ESXi host, don&#x27;t pass the -VMHost arg&quot;
    $vm = New-VM `
        -Name &quot;{targetServer.fqn}&quot; `
        -Datastore &quot;{ksVmwareStoragePoolName}&quot; `
        -CoresPerSocket {ksVmCpuCount} `
        -NumCpu {ksVmCpuCount} `
        -DiskMB 51200 `
        -MemoryMB $memInMb `
        -NetworkName &quot;{ksVmwareNetworkName}&quot; `
        -GuestId &#x27;{ksVmwareGuestType}&#x27; `
        -CD 

} else {
    Write-Host &quot;We&#x27;re talking to a vCenter server, pass the -VMHost arg&quot;
    $storagePool = Get-VMHost -Name &#x27;{vmwareEsxiServer.fqn}&#x27; | Get-Datastore -Name &#x27;{ksVmwareStoragePoolName}&#x27; 
    
    $vm = New-VM `
        -VMHost &quot;{vmwareEsxiServer.fqn}&quot; `
        -Name &quot;{targetServer.fqn}&quot; `
        -Datastore &quot;$storagePool&quot; `
        -CoresPerSocket {ksVmCpuCount} `
        -NumCpu {ksVmCpuCount} `
        -DiskMB 51200 `
        -MemoryMB $memInMb `
        -NetworkName &quot;{ksVmwareNetworkName}&quot; `
        -GuestId &#x27;{ksVmwareGuestType}&#x27; `
        -CD 

}

EOF
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="ksesxienablesas">
                            <a href="#ksesxienablesas">
                                <strong>Step 5 -</strong> KS ESXi Enable SAS
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
if [ &#x27;{ksVmwareGuestType}&#x27; != &#x27;winNetStandard64Guest&#x27; ]; then
    echo &quot;This isn&#x27;t windows server VM, SAS not required&quot;
else
    echo &quot;Switching to LSI Logic SAS Controller&quot;

# Create the new VM
pwsh &lt;&lt;&#x27;EOF&#x27;
$ErrorActionPreference = &quot;Stop&quot;
Import-Module VMware.VimAutomation.Core

Connect-VIServer {vmwareVcenterServer.ip} `
    -User &quot;{vmwareVcenterUser.user}&quot; `
    -Password &#x27;{vmwareVcenterUser.password}&#x27;

if ($? -eq $false) {
    Write-Host &quot;Error: Not connected.&quot;
    exit 1
}

$vm = Get-VM -Name &quot;{targetServer.fqn}&quot;
 
# Make the controller compatible with the Win2016 drivers
Get-ScsiController -VM $vm | Set-ScsiController -Type VirtualLsiLogicSAS

EOF


fi
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="ksesxienable3d">
                            <a href="#ksesxienable3d">
                                <strong>Step 6 -</strong> KS ESXi Enable 3D
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
if [ &#x27;{ksVmwareGuestType}&#x27; != &#x27;windows9_64Guest&#x27; ]; then
    echo &quot;This isn&#x27;t windows 10, 3D isn&#x27;t required&quot;
else
    echo &quot;Enabling 3d&quot;

# Create the new VM
pwsh &lt;&lt;&#x27;EOF&#x27;
$ErrorActionPreference = &quot;Stop&quot;
Import-Module VMware.VimAutomation.Core

Connect-VIServer {vmwareVcenterServer.ip} `
    -User &quot;{vmwareVcenterUser.user}&quot; `
    -Password &#x27;{vmwareVcenterUser.password}&#x27;

if ($? -eq $false) {
    Write-Host &quot;Error: Not connected.&quot;
    exit 1
}
 
$vm = Get-View -ViewType VirtualMachine -Filter @{&#x27;Name&#x27;=&quot;^{targetServer.fqn}$&quot;}
 
$spec = New-Object VMware.Vim.VirtualMachineConfigSpec
$dc = New-Object VMware.Vim.VirtualDeviceConfigSpec
$dc.Operation = &#x27;edit&#x27;
$dev = $vm.Config.Hardware.Device | where{$_ -is [VMware.Vim.VirtualMachineVideoCard]}
$dev.enable3DSupport = $true
$dc.Device += $dev
$spec.DeviceChange += $dc
$vm.ReconfigVM($spec)

EOF


fi
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="ksesxicopyisotoesxihost">
                            <a href="#ksesxicopyisotoesxihost">
                                <strong>Step 7 -</strong> KS ESXi Copy ISO To ESXi Host
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
# Create the new VM
pwsh &lt;&lt;&#x27;EOF&#x27; | grep -v &#x27;Uploading&#x27;
$ErrorActionPreference = &quot;Stop&quot;
Import-Module VMware.VimAutomation.Core

Connect-VIServer {vmwareVcenterServer.ip} `
    -User &quot;{vmwareVcenterUser.user}&quot; `
    -Password &#x27;{vmwareVcenterUser.password}&#x27;
    
if ($? -eq $false) {
    Write-Host &quot;Error: Not connected.&quot;
    exit 1
}

# Create the TO dir string
$to = &quot;ds:{ksVmwareBootIsoDir}&quot;
$to = $to -Replace &quot;/&quot;,&quot;\&quot;

# Get the Datastore
$datastore = Get-Datastore -Name &#x27;{ksVmwareStoragePoolName}&#x27;
$datastore

# Create the DS drive
if (Test-Path &quot;ds:&quot;) {
    Remove-PSDrive ds -Force
}

if ($datastore -is [System.Array]) {
    Write-Host &quot;Get-Datastore returned multiple datastores, using first item in array..&quot;
    $datastore = $datastore[0]

}
New-PSDrive -Location $datastore -Name ds -PSProvider VimDatastore -Root &quot;&quot;

# Ensure the destination dir exists
Set-Location &quot;ds:&quot;

if (-Not (Test-Path &quot;$to&quot;)) {
    &quot;Creating $to&quot;
    New-Item  -ItemType Directory -Path &quot;$to&quot;
}

# Set the local path to the ISO
Set-Location {ksVmwareAttuneBaseDir}

# Copy the ISO
Copy-DatastoreItem kickstart_{targetServer.fqn}.iso $to `
    -Force:$true -Confirm:$false 
    
# Remove the DS Drive
Remove-PSDrive ds -Force

EOF
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="ksesxiloadisointovm">
                            <a href="#ksesxiloadisointovm">
                                <strong>Step 8 -</strong> KS ESXi Load ISO into VM
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
FROM=&quot;{ksVmwareAttuneBaseDir}/kickstart_{targetServer.fqn}.iso&quot;
TO=&quot;{ksVmwareBootIsoDir}&quot;

# Create the new VM
pwsh &lt;&lt;&#x27;EOF&#x27;
$ErrorActionPreference = &quot;Stop&quot;
Import-Module VMware.VimAutomation.Core

Connect-VIServer {vmwareVcenterServer.ip} `
    -User &quot;{vmwareVcenterUser.user}&quot; `
    -Password &#x27;{vmwareVcenterUser.password}&#x27;

if ($? -eq $false) {
    Write-Host &quot;Error: Not connected.&quot;
    exit 1
}

$cd = Get-VM -Name &quot;{targetServer.fqn}&quot; | Get-CDDrive
$iso = &quot;[{ksVmwareStoragePoolName}] kickstart_isos/kickstart_{targetServer.fqn}.iso&quot;

Set-CDDrive -CD $cd `
    -IsoPath $iso `
    -StartConnected $true `
    -Confirm:$false

EOF
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h4 id="ksesxistartvm">
                            <a href="#ksesxistartvm">
                                <strong>Step 9 -</strong> KS ESXi Start VM
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
pwsh &lt;&lt;&#x27;EOF&#x27;
$ErrorActionPreference = &quot;Stop&quot;
Import-Module VMware.VimAutomation.Core

Connect-VIServer {vmwareVcenterServer.ip} `
    -User &quot;{vmwareVcenterUser.user}&quot; `
    -Password &#x27;{vmwareVcenterUser.password}&#x27;

if ($? -eq $false) {
    Write-Host &quot;Error: Not connected.&quot;
    exit 1
}

Start-VM -VM (Get-VM -Name &quot;{targetServer.fqn}&quot;) -RunAsync

EOF
                </code>
            </pre>
        </div>
    </div>






                    <div class="row pt-5">
                        <div class="col">
                            <h3>Completed</h3>
                            <p>
                                You have completed this instruction.
                            </p>
                        </div>
                    </div>
                </div>
            </div>

<!-- Download Attune Ad -->

            <div class="col-lg-2 px-0">
                <div class="container px-0 pt-3 pl-5 sticky-top">
                    <div class="card border-light mb-3" style="max-width: 18rem;">
                        <div class="card-body attune-ad">
                            <img
                                src="https://www.servertribe.com/wp-content/uploads/2022/06/AttuneLogoV2_powered_by.png"
                                alt="Attune - Powered by ServerTribe"
                                class="img-fluid">
                            <h5 class="card-title mt-3 text-center">
                                Automate with Attune
                            </h5>
                            <p class="card-text text-left">
                                Download the Attune Community Edition.
                            </p>
                            <p class="text-center">
                                <a href="https://www.servertribe.com/download-attune-registration/"
                                   class="btn btn-primary mt-3">
                                    DOWNLOAD!!!
                                </a>
                            </p>
                        </div>
                    </div>
                </div>
            </div>

        </div>

<!-- Join Discord -->

        <div class="row py-5">
            <div class="jumbotron">
                <h1 class="display-4 text-center">
                    Discuss this Instruction in Discord
                </h1>
                <p class="lead">

                    Join our Discord channel and connect with like-minded
                    individuals who
                    share your passion. Engage in lively discussions, gain
                    valuable insights,
                    and stay updated on the latest trends in our industry. Don't
                    miss out on
                    this opportunity to network, learn, and grow together.
                </p>
                <hr class="my-4 text-center">
                <div class="col px-0">
                    <p class="text-center">
                        Click the link below and become a part of our vibrant
                        community on
                        Discord today!
                    </p>
                    <p class="lead text-center">
                        <a class="btn btn-primary btn-lg"
                           href="https://discord.com/invite/3YpJsagqUn"
                           role="button">
                            Join NOW!!!
                        </a>
                    </p>
                </div>
            </div>
        </div>

    </div>
</div>


<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
<script
    src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js"
    integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
    crossorigin="anonymous"></script>
<script
    src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js"
    integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"></script>

<script
    src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/js/all.min.js"></script>

<script
    src="https://cdnjs.cloudflare.com/ajax/libs/prism/1.29.0/components/prism-core.min.js"></script>
<script
    src="https://cdnjs.cloudflare.com/ajax/libs/prism/1.29.0/plugins/autoloader/prism-autoloader.min.js"></script>


</body>
</html>
